[Index]
Data model that will allow additions to the general help section for the online help.
Model ref.: data/GeneralHelp
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"name": {
"title": "Name",
"description": "The name that is given to the General Help Model instance. This will be displayed as the title of the general help entry.",
"type": "string",
"required": true,
"readonly": false,
"maxLength": 1024
},
"menu_title": {
"title": "Menu Title",
"description": "Menu title of this specific general help instance as it should be displayed in general help.",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"menu_position": {
"title": "Menu Position",
"description": "Position where this specific general help instance must be placed within general help. If duplicates of the position number occur it will simply be ordered randomly on that position. Order is from lowest integer to highest integer.",
"type": "integer",
"required": false,
"readonly": false
},
"language_code": {
"title": "Language",
"description": "The language shortcode this help instance is written in.",
"type": "string",
"format": "uri",
"required": true,
"target": "/api/data/Language/choices/?field=lcid&format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"target_attr": "lcid",
"maxLength": 1024,
"target_model_type": "data/Language",
"choices": []
},
"overwrite_specifics": {
"title": "Model Overwrite Options",
"description": "Object that will contain various fields that will indicate how the dynamic model content will be affected by the general help content.",
"type": "object",
"required": false,
"readonly": false,
"properties": {
"overwrite_details": {
"title": "Overwrite Details",
"description": "This complex field will contain details around the overwrite options per model type.",
"type": "array",
"required": false,
"readonly": false,
"items": {
"type": "object",
"properties": {
"hide_model_title": {
"title": "Hide Model Help Title",
"description": "Indicates if this overwrite will hide the model help title.",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"model_title": {
"title": "New Model Help Title",
"description": "This field will tell the model help page which title to display. An empty field means unaffected",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"insert_model_content": {
"title": "Insert General Help Text Into Model Content",
"description": "Indicates if this overwrite will insert the help text into the model help.",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"hide_general_title": {
"title": "Hide General Help Section Title",
"description": "Indicates if this overwrite will hide the general help text section title. Each inserted general help text will have the general help menu title as default title for that section.",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"model_general_title": {
"title": "New General Help Section Title",
"description": "This field will tell the model help page which title to display for the particular general help overwrite sections. An empty field means unaffected",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"model_content_position": {
"title": "New Model General Help Paragraph Position.",
"description": "This indicates the position of the model help overwrite content on the page (paragraph positions). -1 means it will be hidden.",
"type": "integer",
"required": false,
"readonly": false,
"default": 1
},
"affect_dynamic_help": {
"title": "Manipulate Model Dynamic Generated Help",
"description": "This field will indicate if we want this general help's model overwrites to affect the dynamically generated model help sections as well",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"dynamic_help_position": {
"title": "Model Dynamically Generated Help Paragraph Position.",
"description": "This indicates the position of the dynamic model help on the page (paragraph positions). -1 means hide the help.",
"type": "integer",
"required": false,
"readonly": false,
"default": 2
},
"hide_model_api_url": {
"title": "Hide API Help Link",
"description": "Indicates if the API HREF (Link) in the dynamic help should be shown.",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"hide_model_visualize_button": {
"title": "Hide Visualize Button",
"description": "Only applicable to certain models. Indicates if the Visualize button should be shown.",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"affected_model": {
"title": "Affected Model Type",
"description": "This field will show which model types to overwrite with this data.",
"type": "string",
"format": "uri",
"required": false,
"readonly": false,
"target": "/api/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"maxLength": 1024,
"target_model_type": "",
"choices": []
}
}
}
}
}
},
"help_text": {
"title": "Help Text",
"description": "Object that will contain various fields that will allow formatted HTML additions to the general help section",
"type": "object",
"required": true,
"readonly": false,
"properties": {
"paragraph_section": {
"title": "Help Paragraph Section",
"description": "This field will allow additions of paragraphs to the general help model",
"type": "array",
"required": true,
"readonly": false,
"items": {
"type": "string",
"maxLength": 524288
}
}
}
}
},
"schema_version": "0.2.3"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the GUI Add form. | GET | /api/data/GeneralHelp/add/ |
|
The GUI Add form of data/GeneralHelp as JSON |
The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Create | POST | /api/data/GeneralHelp | hierarchy=[hierarchy] |
|
tool/Transaction/[trans pkid]to inspect the created resource and its instance pkid.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/data/GeneralHelp/ | hierarchy=[hierarchy] | {"hrefs":["/api/data/GeneralHelp/[pkid1]", "/api/data/GeneralHelp/[pkid2]", ...]} |
GET http://[host-proxy]/api/data/GeneralHelp/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Bulk Modify | GET | /api/data/GeneralHelp/bulk_update/?schema=&schema_rules=true |
|
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk Modify | POST | /api/data/GeneralHelp/bulk_update/ |
|
For example: {"data":{"name":"value"}, "meta":{}, "request_meta":{ "hrefs":["/api/v0/data/GeneralHelp/[pkid1]", "/api/v0/data/GeneralHelp/[pkid2]",...]}} |
GET http://[host-proxy]/api/data/GeneralHelp/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of data/GeneralHelp; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/data/GeneralHelp/export/ |
|
{ "hrefs":["/api/data/GeneralHelp/[pkid1]", "/api/data/GeneralHelp/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of data/GeneralHelp and the JSON format can be used to import instances of data/GeneralHelp.
GET http://[host-proxy]/api/data/GeneralHelp/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a compressed format of the Bulk Load spreadsheet template for data/GeneralHelp | POST | /api/data/GeneralHelp/export_bulkload_template/ |
|
The response is an attachment of the format: filetype_bulkloadsheet.xlsx.gz |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag | PATCH | /api/data/GeneralHelp/+tag/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag Version | PATCH | /api/data/GeneralHelp/+tag_version/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Configuration Template | GET | /api/data/GeneralHelp/configuration_template/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/ConfigurationTemplate/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Field Display Policy | GET | /api/data/GeneralHelp/field_display_policy/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/FieldDisplayPolicy/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Migration Template | GET | /api/data/GeneralHelp/migration/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/data/GeneralHelp/ |
|
The data/GeneralHelp schema and all instances as JSON. |
(The list will return 0 to 3 data/GeneralHelp instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 370,
"total_limit": null,
"order_by": "name",
"direction": "asc",
"current": "/api/data/GeneralHelp/?skip=0&limit=3&order_by=name&direction=asc&traversal=down"
},
"operations": [
"add",
"bulk_update_form",
"list",
"update",
"transform",
"migration",
"remove",
"move",
"export",
"help",
"configuration_template",
"field_display_policy",
"get",
"export_bulkload_template"
],
"meta": {
"model_type": "data/GeneralHelp",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "menu_title",
"title": "Menu Title"
},
{
"name": "menu_position",
"title": "Menu Position"
},
{
"name": "language_code",
"title": "Language"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": []
},
"model_specific_actions": [
"add",
"bulk_update_form",
"clone",
"configuration_template",
"export",
"export_bulkload_template",
"field_display_policy",
"get",
"help",
"list",
"migration",
"remove",
"tag",
"tag_version",
"update"
],
"schema_version": "0.2.3",
"actions": [
{
"add": {
"method": "GET",
"class": "add",
"href": "/api/data/GeneralHelp/add/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Add"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/GeneralHelp/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"bulk_update_form": {
"method": "GET",
"class": "update",
"href": "/api/data/GeneralHelp/bulk_update/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Bulk Modify"
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/data/GeneralHelp/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"export_bulkload_template": {
"method": "POST",
"class": "bulkload_template",
"href": "/api/data/GeneralHelp/export_bulkload_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export Bulk Load Template"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/GeneralHelp/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/GeneralHelp/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"configuration_template": {
"method": "GET",
"class": "config",
"href": "/api/data/GeneralHelp/configuration_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Configuration Template"
}
},
{
"field_display_policy": {
"method": "GET",
"class": "display_policy",
"href": "/api/data/GeneralHelp/field_display_policy/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Field Display Policy"
}
},
{
"migration": {
"method": "GET",
"class": "migration",
"href": "/api/data/GeneralHelp/migration/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Migration Template"
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/data/GeneralHelp/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/GeneralHelp/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"resources": [
{
"data": {
"name": "./src/user/access-profiles.rst",
"menu_title": "Introduction to Access Profiles",
"menu_position": -1,
"language_code": "en-us",
"overwrite_specifics": {
"overwrite_details": [
{
"hide_model_title": false,
"insert_model_content": true,
"model_content_position": 1,
"dynamic_help_position": 20,
"affected_model": "data/AccessProfile"
}
]
},
"help_text": {
"paragraph_section": [
"Introduction to access profiles\n---------------------------------\n \n.. raw:: html\n\n <a href=\"https://documentation.voss-solutions.com/release_25.4-PB0-help/html/src/user/access-profiles.html\" target=\"_blank\"><span style=\"vertical-align: 5px;\"> Full HTML Help</span></a>\n \n\n\n.. tip:: \n\n Use the Action search to navigate Automate\n\n\n\n**Overview**\n \nAccess profiles determine which model types a user can view or manage. \nThey are assigned to users through the **Access Profiles** page. \n\nAccess profiles control user permissions in the system. They define:\n\n* Which model types a user can access\n* What operations they can perform\n* Whether permissions apply broadly (using wildcards) or specifically to certain models\n\n\n**Default access profiles**\n \nDefault profiles follow a hierarchical permission structure:\n\n**Provider -> Reseller -> Customer -> Site**\n\n* Higher levels have more permissions.\n* Customer profiles, for example, include fewer permissions than Provider-level profiles.\n\nBy default, most system-provided access profiles (except Operator profiles) allow:\n\n* **Read** and **Export** rights on all multi vendor subscriber quick actions and service card \"view\" actions\n\n Examples:\n\n * ``view/DeleteCucmHuntGroupAllMembers`` (Quick Action)\n * ``view/AddExtensionMobility`` (service card action)\n\n\n**Cloned access profiles**\n \nWhen you clone an access profile:\n\n* It inherits equal or fewer permissions than the profile of the admin performing the clone.\n* During system upgrades:\n\n * **Default** access profiles are automatically updated.\n * **Cloned** profiles are not updated. You must update them manually or re-clone from the latest \n default profile.\n\n\n\n**Managing access profiles**\n \nAdmins above Provider level can create, edit, and delete access profiles.\n\n\n.. rubric:: View access profiles\n\nThe **Access Profiles** list view page lists all existing profiles. From here you can view, add, update, or \ndelete access profiles. \n\n\n\n\n.. rubric:: Add an access profile\n\nTo add an access profile: \n\n1. Go to the **Access Profiles** list view.\n2. Click the **Plus** (+) icon from the **Access Profiels** list view.\n3. Fill out the configuration fields. \n4. Save your changes.\n\n\n\n.. rubric:: Edit an access profile\n\nTo edit an access profile:\n\n1. Go to the **Access Profiles** list view.\n2. Click on the access profile you want to edit to open the configuration screen.\n3. Update the access profile. \n4. Save your changes.\n\n\n\n\n\n.. rubric:: Delete an access profile\n\n1. Go to the **Access Profiles** list view.\n2. Select the access profile you want to delete.\n3. Click the **Delete** icon to delete the access profile.\n\n\n\n.. rubric:: Related topics\n\n\n\nAccess profile permissions and operations in the Core Feature Guide\n \n\n* Search\n\n\n**Access profile configuration reference**\n \n.. rubric:: Details\n\nThe table describes access profile configuration fields in the **Details** tab/panel\n\n\n+---------------+---------------------------+----------------------------+\n| Title | Field Name | Description |\n+===============+===========================+============================+\n| Name * | name | A unique name for the |\n| | | access profile. |\n+---------------+---------------------------+----------------------------+\n| Description | description | Details about what this |\n| | | access profile is for. |\n+---------------+---------------------------+----------------------------+\n| | | Grants complete system |\n| Full Access | full_access | access, if enabled. |\n+---------------+---------------------------+----------------------------+\n| Miscellaneous | | Additional permissions |\n| Permissions | miscellaneous_permissions | not tied to a specific |\n| | | model type. |\n+---------------+---------------------------+----------------------------+\n\n\n.. rubric:: Type Specific Permissions\n\nType-specific permissions define what actions are \nallowed per model type. They override wildcard permissions of the same type.\n\nThe panel lists the model types the profile can access (supports wildcards ``*``). Click on a permission \nto update it for the access profile.\n\n\n\nThe table describes the fields in the type-specific permissions configuration screen.\n\n\n+------------------+------------+--------------------------------------+\n| Title | Field Name | Description |\n+==================+============+======================================+\n| | | The model type permitted by this |\n| Permitted Type | type | access profile (supports use of a |\n| | | ``*`` wildcard). |\n| | | |\n| | | The wildcard can be restricted by a |\n| | | type-specific permission of the same |\n| | | type. |\n+------------------+------------+--------------------------------------+\n| Permitted | | Actions allowed for this model type. |\n| Operations | operations | |\n+------------------+------------+--------------------------------------+\n\n\n\n.. rubric:: Related topics \n\n* Search\n\n\nAccess profile permissions and operations in the VOSS Core User Guide\n\n\n\n"
]
},
"pkid": "69ee3c5c62dfd021865ccad9",
"hierarchy_friendly_name": "sys (System)",
"hierarchy_path": "sys"
},
"meta": {
"model_type": "data/GeneralHelp",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "menu_title",
"title": "Menu Title"
},
{
"name": "menu_position",
"title": "Menu Position"
},
{
"name": "language_code",
"title": "Language"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "./src/user/access-profiles.rst",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "6t0ggef2c0deab00hb595101",
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69ee2ebe76a8a1f92ddfdf10",
"path": "language_code",
"model_type": "data/Language"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/",
"pkid": "69ee3c5c62dfd021865ccad8"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3c5c62dfd021865ccad8"
],
"schema_version": "0.2.3",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69ee3c5c62dfd021865ccad8"
},
{
"data": {
"name": "./src/user/add-agent-lines.rst",
"menu_title": "Agent Lines",
"menu_position": -1,
"language_code": "en-us",
"overwrite_specifics": {
"overwrite_details": [
{
"hide_model_title": false,
"insert_model_content": true,
"model_content_position": 1,
"dynamic_help_position": 20,
"affected_model": "relation/HcsCucmCcTagREL"
}
]
},
"help_text": {
"paragraph_section": [
"Agent Lines\n------------\n \n.. raw:: html\n\n <a href=\"https://documentation.voss-solutions.com/release_25.4-PB0-help/html/src/user/add-agent-lines.html\" target=\"_blank\"><span style=\"vertical-align: 5px;\"> Full HTML Help</span></a>\n \n\n.. tip:: \n\n Use the Action search to navigate Automate\n\n\n\n**Add an Agent Line**\n \nThis procedure adds a UCCX agent line (phone or device profile).\n\n.. rubric:: Prerequisites:\n\nTo have an application user available: \n\n* Add a UCCX server: \n\n In the VOSS UI, go to **UCCX Server**. Add a server. Two SIP Trunks are needed, a CVP and CUBEE on the server.\n\n* Add a UCCX service: \n\n In the VOSS UI, add a service using UCCX server you added. This step creates the application users \n needed when adding an agent line.\n\n\n.. rubric:: Add agent line\n\n1. In the VOSS UI, go to **Agent Lines**.\n2. Click the Plus icon (+) to add a new agent line.\n3. Fill out at least the mandatory configuration. Consider the following:\n\n * Device Type*\n \n * Phone, or\n * Device Profile (Extension Mobility)\n \n * Profile User* (Device Profile device types only)\n \n Drop-down displays only users who have an extension mobility profile.\n\n4. Click **Save** to add the agent line.\n\n\n\n\n**Tag CTI port as UCCX agent line**\n \n\n1. In the VOSS UI, go to **Agent Lines**.\n2. Set the relevant hierarchy path (Provider, Reseller, Customer, Site). \n3. Click the Plus icon (+) to add a new CTI port.\n4. At **Device Type**, select **Phone**.\n5. At **Device Name**, select a port from the list of device names.\n6. At **Line**, select the line. \n7. At **Application User**, select **pguser**.\n8. Save your changes. \n9. Repeat this procedure for both LCP and RCP ports.\n\n\n\n"
]
},
"pkid": "69ee3c5d62dfd021865ccb09",
"hierarchy_friendly_name": "sys (System)",
"hierarchy_path": "sys"
},
"meta": {
"model_type": "data/GeneralHelp",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "menu_title",
"title": "Menu Title"
},
{
"name": "menu_position",
"title": "Menu Position"
},
{
"name": "language_code",
"title": "Language"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "./src/user/add-agent-lines.rst",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "6t0ggef2c0deab00hb595101",
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69ee2ebe76a8a1f92ddfdf10",
"path": "language_code",
"model_type": "data/Language"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/GeneralHelp/69ee3c5d62dfd021865ccb08/",
"pkid": "69ee3c5d62dfd021865ccb08"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3c5d62dfd021865ccb08"
],
"schema_version": "0.2.3",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/GeneralHelp/69ee3c5d62dfd021865ccb08/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/GeneralHelp/69ee3c5d62dfd021865ccb08/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/GeneralHelp/69ee3c5d62dfd021865ccb08/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/GeneralHelp/69ee3c5d62dfd021865ccb08/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/GeneralHelp/69ee3c5d62dfd021865ccb08/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/GeneralHelp/69ee3c5d62dfd021865ccb08/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/GeneralHelp/69ee3c5d62dfd021865ccb08/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/GeneralHelp/69ee3c5d62dfd021865ccb08/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69ee3c5d62dfd021865ccb08"
},
{
"data": {
"name": "./src/user/add-app-user-to-device.rst",
"menu_title": "Add Application Users to Device",
"menu_position": -1,
"language_code": "en-us",
"overwrite_specifics": {
"overwrite_details": [
{
"hide_model_title": false,
"insert_model_content": true,
"model_content_position": 1,
"dynamic_help_position": 20,
"affected_model": "view/AddRemoveAppUserPerDevice"
}
]
},
"help_text": {
"paragraph_section": [
"Add application users to device\n--------------------------------\n \n.. raw:: html\n\n <a href=\"https://documentation.voss-solutions.com/release_25.4-PB0-help/html/src/user/add-app-user-to-device.html\" target=\"_blank\"><span style=\"vertical-align: 5px;\"> Full HTML Help</span></a>\n \n\n\n\n.. tip:: \n\n Use the Action search to navigate Automate\n\n\n**Overview**\n \nThe **Add Application Users to Device** tool for CUCM allows a site admin to view all CUCM application \nusers associated with or available to be associated with a selected device or device profile at a site, \nand to associate or disassociate one or more application users from that device or device profile at the site.\n\n\n**Associate or disassociate App users and a device or device profile**\n \nThis procedure allows a site admin (or higher level admin) to view all CUCM application users \ncurrently associated with a selected device or device profile, and to associate one or more \napplication users to the selected device or device profile. \n\n\n1. Log in to the Automate Admin portal. \n2. Select the site. \n3. Go to **Add Application Users to Device**\n\n#. On **Add Application Users to Device**, select the relevant device type, either of the following: \n\n * Device profile \n * Phone \n\n \n\n#. At **Device**, select the relevant device. \n\n .. note:: \n \n The lists in the **Associate** and **Disassociate** transfer boxes populate based on the application \n users that can be associated or disassociated from the selected device. \n\n \n \n#. At **Force Device Reset**, define whether to reset the phone or device profile. Default is false (do not force reset).\n\n#. At the **Associate** transfer box, if this is your use case, select one or more application users from the \n **Available** field, and move these to the **Selected** field. \n#. At the **Disassociate** transfer box, if this is your use case, select one or more application users from the \n **Available** field, and move these to the **Selected** field. \n#. Click **Save** to update the device. \n\n\n.. rubric:: Related topics \n\n* Add Devices to Application User\n\n\n\n"
]
},
"pkid": "69ee3c5c62dfd021865ccae5",
"hierarchy_friendly_name": "sys (System)",
"hierarchy_path": "sys"
},
"meta": {
"model_type": "data/GeneralHelp",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "menu_title",
"title": "Menu Title"
},
{
"name": "menu_position",
"title": "Menu Position"
},
{
"name": "language_code",
"title": "Language"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "./src/user/add-app-user-to-device.rst",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "6t0ggef2c0deab00hb595101",
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69ee2ebe76a8a1f92ddfdf10",
"path": "language_code",
"model_type": "data/Language"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccae4/",
"pkid": "69ee3c5c62dfd021865ccae4"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3c5c62dfd021865ccae4"
],
"schema_version": "0.2.3",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccae4/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccae4/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccae4/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccae4/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccae4/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccae4/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccae4/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccae4/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69ee3c5c62dfd021865ccae4"
}
]
}
(Show the first instance)
{
"data": {
"name": "./src/user/access-profiles.rst",
"menu_title": "Introduction to Access Profiles",
"menu_position": -1,
"language_code": "en-us",
"overwrite_specifics": {
"overwrite_details": [
{
"hide_model_title": false,
"insert_model_content": true,
"model_content_position": 1,
"dynamic_help_position": 20,
"affected_model": "data/AccessProfile"
}
]
},
"help_text": {
"paragraph_section": [
"Introduction to access profiles\n---------------------------------\n \n.. raw:: html\n\n <a href=\"https://documentation.voss-solutions.com/release_25.4-PB0-help/html/src/user/access-profiles.html\" target=\"_blank\"><span style=\"vertical-align: 5px;\"> Full HTML Help</span></a>\n \n\n\n.. tip:: \n\n Use the Action search to navigate Automate\n\n\n\n**Overview**\n \nAccess profiles determine which model types a user can view or manage. \nThey are assigned to users through the **Access Profiles** page. \n\nAccess profiles control user permissions in the system. They define:\n\n* Which model types a user can access\n* What operations they can perform\n* Whether permissions apply broadly (using wildcards) or specifically to certain models\n\n\n**Default access profiles**\n \nDefault profiles follow a hierarchical permission structure:\n\n**Provider -> Reseller -> Customer -> Site**\n\n* Higher levels have more permissions.\n* Customer profiles, for example, include fewer permissions than Provider-level profiles.\n\nBy default, most system-provided access profiles (except Operator profiles) allow:\n\n* **Read** and **Export** rights on all multi vendor subscriber quick actions and service card \"view\" actions\n\n Examples:\n\n * ``view/DeleteCucmHuntGroupAllMembers`` (Quick Action)\n * ``view/AddExtensionMobility`` (service card action)\n\n\n**Cloned access profiles**\n \nWhen you clone an access profile:\n\n* It inherits equal or fewer permissions than the profile of the admin performing the clone.\n* During system upgrades:\n\n * **Default** access profiles are automatically updated.\n * **Cloned** profiles are not updated. You must update them manually or re-clone from the latest \n default profile.\n\n\n\n**Managing access profiles**\n \nAdmins above Provider level can create, edit, and delete access profiles.\n\n\n.. rubric:: View access profiles\n\nThe **Access Profiles** list view page lists all existing profiles. From here you can view, add, update, or \ndelete access profiles. \n\n\n\n\n.. rubric:: Add an access profile\n\nTo add an access profile: \n\n1. Go to the **Access Profiles** list view.\n2. Click the **Plus** (+) icon from the **Access Profiels** list view.\n3. Fill out the configuration fields. \n4. Save your changes.\n\n\n\n.. rubric:: Edit an access profile\n\nTo edit an access profile:\n\n1. Go to the **Access Profiles** list view.\n2. Click on the access profile you want to edit to open the configuration screen.\n3. Update the access profile. \n4. Save your changes.\n\n\n\n\n\n.. rubric:: Delete an access profile\n\n1. Go to the **Access Profiles** list view.\n2. Select the access profile you want to delete.\n3. Click the **Delete** icon to delete the access profile.\n\n\n\n.. rubric:: Related topics\n\n\n\nAccess profile permissions and operations in the Core Feature Guide\n \n\n* Search\n\n\n**Access profile configuration reference**\n \n.. rubric:: Details\n\nThe table describes access profile configuration fields in the **Details** tab/panel\n\n\n+---------------+---------------------------+----------------------------+\n| Title | Field Name | Description |\n+===============+===========================+============================+\n| Name * | name | A unique name for the |\n| | | access profile. |\n+---------------+---------------------------+----------------------------+\n| Description | description | Details about what this |\n| | | access profile is for. |\n+---------------+---------------------------+----------------------------+\n| | | Grants complete system |\n| Full Access | full_access | access, if enabled. |\n+---------------+---------------------------+----------------------------+\n| Miscellaneous | | Additional permissions |\n| Permissions | miscellaneous_permissions | not tied to a specific |\n| | | model type. |\n+---------------+---------------------------+----------------------------+\n\n\n.. rubric:: Type Specific Permissions\n\nType-specific permissions define what actions are \nallowed per model type. They override wildcard permissions of the same type.\n\nThe panel lists the model types the profile can access (supports wildcards ``*``). Click on a permission \nto update it for the access profile.\n\n\n\nThe table describes the fields in the type-specific permissions configuration screen.\n\n\n+------------------+------------+--------------------------------------+\n| Title | Field Name | Description |\n+==================+============+======================================+\n| | | The model type permitted by this |\n| Permitted Type | type | access profile (supports use of a |\n| | | ``*`` wildcard). |\n| | | |\n| | | The wildcard can be restricted by a |\n| | | type-specific permission of the same |\n| | | type. |\n+------------------+------------+--------------------------------------+\n| Permitted | | Actions allowed for this model type. |\n| Operations | operations | |\n+------------------+------------+--------------------------------------+\n\n\n\n.. rubric:: Related topics \n\n* Search\n\n\nAccess profile permissions and operations in the VOSS Core User Guide\n\n\n\n"
]
},
"pkid": "69ee3c5c62dfd021865ccad9"
},
"meta": {
"model_type": "data/GeneralHelp",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "menu_title",
"title": "Menu Title"
},
{
"name": "menu_position",
"title": "Menu Position"
},
{
"name": "language_code",
"title": "Language"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "./src/user/access-profiles.rst",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": false,
"references": {
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69ee2ebe76a8a1f92ddfdf10",
"path": "language_code",
"model_type": "data/Language"
}
],
"owner": [
{
"pkid": ""
}
],
"children": [],
"self": [
{
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/",
"pkid": "69ee3c5c62dfd021865ccad8"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3c5c62dfd021865ccad8"
],
"schema_version": "0.2.3",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/clone/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/GeneralHelp/69ee3c5c62dfd021865ccad8/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"pkid": "69ee3c5c62dfd021865ccad8"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for data/GeneralHelp. | GET | /api/data/GeneralHelp/help | hierarchy=[hierarchy] | On-line help of Model ref.: data/GeneralHelp as HTML |
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Modify | PUT | /api/data/GeneralHelp/[pkid] | hierarchy=[hierarchy] | (For payload specification) |
For Bulk modification, refer to the Bulk Modify section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Delete | DELETE | /api/data/GeneralHelp/[pkid] | hierarchy=[hierarchy] |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Clone instance with [pkid]. The schema rules are applied. | GET | /api/data/GeneralHelp/[pkid]/clone/?schema=&schema_rules=true |
|
A JSON payload with:
|
GET http://[host-proxy]/api/data/GeneralHelp/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and a single instance with [pkid] of data/GeneralHelp; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | GET | /api/data/GeneralHelp/[pkid]/export |
|
The response is an attachment. Refer to the list below. |
For export_format=raw_xlsx, the response is a "raw" MS Excel spreadsheet with columns corresponding to the JSON format export and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, formatted to show all columns and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=json, the response is a time stamped zip file of data in JSON and a response format:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
The XLSX format can be used to bulk load instances of data/GeneralHelp and the JSON format can be used to import instances of data/GeneralHelp.
For Bulk Export, refer to the Bulk Export section.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Tag | PATCH | /api/data/GeneralHelp/[pkid]/+tag | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get | GET | /api/data/GeneralHelp/[pkid] | hierarchy=[hierarchy] | The data/GeneralHelp instance with [pkid]. |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Help | GET | /api/data/GeneralHelp/[pkid]/help | hierarchy=[hierarchy] | The on-line Help for data/GeneralHelp. |